Bug 818862 - Details pane in updater UI must be resizeable
Details pane in updater UI must be resizeable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 04:22 EDT by Ferry Huberts
Modified: 2015-02-17 10:02 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:14:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gpk-update-viewer.ui (18.70 KB, text/plain)
2012-07-11 13:08 EDT, Ferry Huberts
no flags Details

  None (edit)
Description Ferry Huberts 2012-05-04 04:22:19 EDT
Description of problem:

The details pane in the updater UI must be resizeable.
Right now it is completely insanely small (on F17 it's even worse!).
A user should be able to drag the top of the details pane to make it bigger (or smaller).

This has been a very long standing gripe for me on the usability of the updater UI.

While at it, please also make the window resizeable, and _not_ take the complete height of the screen on startup (that's just plain ugly). Please make it startup with a size that is 'almost' the complete height.
Comment 1 Ferry Huberts 2012-06-25 04:00:27 EDT
ping?
Comment 2 Richard Hughes 2012-06-25 04:17:58 EDT
(In reply to comment #1)
> ping?

I'm waiting for a patch from somebody. Thanks.
Comment 3 fred 2012-07-11 11:21:04 EDT
I have the same behaviour on my computer. It seems that this is only a small glitch, and that it can easily be patched by someone with a knowledge of the PackageKit codebase. It is one of those "papercuts" that have a dispropotionate impact on usability while seeming kind of easy to fix.
Comment 4 Ferry Huberts 2012-07-11 13:08:46 EDT
Created attachment 597632 [details]
gpk-update-viewer.ui

I know very little of gnome ui tools, but had a go with glade.

I almost have it but can't seem to get the gtkpaned slider to do what I want.

Submitting it anyway to see if it useful to someone
Comment 5 Ferry Huberts 2012-12-14 09:26:46 EST
ping?
Comment 6 YvanM 2013-02-03 06:34:46 EST
I just wanted to add that this problem is still in Fedora 18 and gpk-application 3.6.1

Ferry Huberts, could you update bug description ?

Thanks,
Yvan
Comment 7 Rolle 2013-06-19 04:08:09 EDT
The same problem in Fedora 19 (PackageKit V0.8.9).
Comment 8 Fedora End Of Life 2013-12-21 03:35:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-01-09 12:08:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 09:14:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Rolle 2015-02-17 10:02:54 EST
Still an issue in Fedora 21

Note You need to log in before you can comment on or make changes to this bug.